import request from "@/utils/request";

// 查询整合服务列表
export function listService(query) {
  return request({
    url: "/system/integration/service/list",
    method: "get",
    params: query,
  });
}

// 查询整合服务详细
export function getService(id) {
  return request({
    url: "/system/integration/service/" + id,
    method: "get",
  });
}

// 查询服务参数
export function getServiceItem(id) {
  return request({
    url: "/system/integration/service/serviceitem?id=" + id,
    method: "get",
  });
}

// 新增整合服务
export function addService(data) {
  return request({
    url: "/system/integration/service",
    method: "post",
    data: data,
  });
}

// 修改整合服务
export function updateService(data) {
  return request({
    url: "/system/integration/service",
    method: "put",
    data: data,
  });
}

// 删除整合服务
export function delService(id) {
  return request({
    url: "/system/integration/service/" + id,
    method: "delete",
  });
}

// 调试服务
export function debugService(data) {
  return request({
    url: "/system/integration/service/apicall",
    method: "post",
    data: data,
  });
}
